Does Talend jobs created in 5.6.1 safe to run in Java 8

Four Stars

Does Talend jobs created in 5.6.1 safe to run in Java 8

Hello Gurus,
We have Talend Open Studio installed with below version. We cannot upgrade it to v6.0 or higher due to business requirements.
----------------------------------------
Version: 5.6.1
Build id: V5.6.1_20141207_1530
----------------------------------------
This Talend version does not support Java 8. It supports Java 7.
However, if you you create a Talend Job and run that Job in a PC where Java 8 is installed, is it safe to run or it should create any unknown problems. 

Thanks,
Sanket.

Moderator

Re: Does Talend jobs created in 5.6.1 safe to run in Java 8

Hi,
Java 8 is currently the recommended Java version for all Talend products and modules since v6.0. 
For Talend Open Studio V 5.6,  you should use java 7.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: Does Talend jobs created in 5.6.1 safe to run in Java 8

Understood and thanks for the answer. 
But if I create a job in 5.6.1 using java 7. And then running the same job in JAVA8, it works. So, is there any missing java dependencies so it is working even in JAVA8.
Moderator

Re: Does Talend jobs created in 5.6.1 safe to run in Java 8

Hi,
 You can export your job from V 5.6.1 in java 7 and import it into V 6.x in java 8.
An exception will pop up when you open your talend studio 5.6.1 in Java 8. That's the reason why [font=Verdana, Helvetica, Arial, sans-serif]you should use java 7 for [/font]Talend Open Studio V 5.6.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: Does Talend jobs created in 5.6.1 safe to run in Java 8

Sorry, my question is not importing the job in v6.0 or higher.
Here are the steps:
1.) Create a job in 5.6.1 (Obviously using JAVA7)
2.) Build the stand alone job.
3.) Run the job on a PC (from command line)/UNIX(using shell script) machine where JAVA 8 is installed. It works.
Question: Will there be any hidden issue if I run my job created in such way. The question is more specific to run time environment.
Moderator

Re: Does Talend jobs created in 5.6.1 safe to run in Java 8

Hi,
The java environment(JDK 1.7 or JDK 1.8) setting is ususlly for studio. 
When you build a job as a standalone job, the script file(.bat or .sh) can be run on other servers without limitation(JDK must be installed)
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.

2019 GARNER MAGIC QUADRANT FOR DATA INTEGRATION TOOL

Talend named a Leader.

Get your copy

OPEN STUDIO FOR DATA INTEGRATION

Kickstart your first data integration and ETL projects.

Download now

What’s New for Talend Summer ’19

Watch the recorded webinar!

Watch Now

Best Practices for Using Context Variables with Talend – Part 2

Part 2 of a series on Context Variables

Blog

Best Practices for Using Context Variables with Talend – Part 1

Learn how to do cool things with Context Variables

Blog

Migrate Data from one Database to another with one Job using the Dynamic Schema

Find out how to migrate from one database to another using the Dynamic schema

Blog